**`Bharani`[NAME]** Nukala -NL- **`nskbharani@gmail.com`[EMAILS_EMAIL]** -NL- **`(405)-541-3408`[PHONES_PHONE]** -NL- IT Professional with 8 years hands on experience as **`Sr Consultant`[EMPLOYER_ROLE]** & Dev Ops Engineer and -NL- performed multiple roles such as Senior Systems Engineer and Linux Administrator, dealing with -NL- Build and Release in automating, building, deploying, managing and releasing of code from one -NL- environment to other environment tightly maintaining Continuous Integration, Continuous Delivery -NL- and Continuous Deployment in multiple environments like (DEVEL/TEST/STAGE & PROD) -NL- **`Profile Summary`[SUMMARY_HEADING]** -NL-  Experience in system automation with DevOps using CI/CD (Continuous Integration/ -NL- Continuous Deployment), Configuration Management, SCM (source Code Management), -NL- Build and Containerization tools. -NL-  Experience in automating system admin tasks like provisioning, installing, configuring, -NL- updating and deploying services using Puppet and Ansible. -NL-  Experience in Test driven development for functional and integration testing using Python -NL- and Robot framework. -NL-  Extensive knowledge on Jenkins including creating, maintaining, configuring Jenkins Jobs, -NL- Pipeline Jobs. -NL-  Extensive working knowledge on Linux Server administration tasks like OS installations -NL- (Kickstart, PXE), user/group creations, ACLs, Logical Volume Management (LVMs), Package -NL- management (RPM, YUM, apt-get), patching (RedHat Satellite), troubleshooting -NL- network/server/application failures. -NL-  Knowledge on AWS Resources like EC2, S3, ELB, AMI, SNS, IAM, Auto scaling, Cloud -NL- Formation, Cloud Watch, Security Groups. -NL-  Experience in working on source control management tools like GIT (GitHub), Subversion -NL- (SVN) and creating GIT repositories with specified branching strategies. -NL-  Creating snapshots and Amazon machine images (AMIs) of the instances for backup and -NL- creating clone instances. -NL-  Worked mostly on Red Hat, Cent OS, Ubuntu and some Windows servers on -NL- virtualization with VMWare (Vsphere Client, VCenter) -NL-  Worked on Docker based container deployments to create shelf environments for -NL- development teams and containerization of environment's delivery for releases. -NL-  Experienced with Software Development Life Cycle, Database designs, agile -NL- methodologies, coding, testing of enterprise applications using IDEs such as PyCharm and -NL- Eclipse. -NL-  Understanding of Python best Practices (PEP-8) and package management system (PIP) in -NL- Python. -NL-  Experience in working with RESTFUL API’s using POSTMAN and with necessary python -NL- libraries. -NL-  Work with connection handlers in python (Netmiko, Paramiko) and establish connections -NL- with different Juniper / Cisco router devices during automation. -NL-  Work with Spirent Test Center (STC) APIs to automate the steps to create session, -NL- configuration ports dynamically, configure stream blocks and PBITs, handle traffic -NL- generator. -NL-  Expertise with writing Shell scripts using BASH, Unix utilities and Python for process -NL- automation of applications. -NL-  Worked extensively with different Bug tracking tools like JIRA, Remedy, HP Quality -NL- center. -NL-  Knowledge in creating the company's DevOps strategy in a mix environment of Linux -NL- (RHEL, CENTOS), Windows servers along with creating and implementing a cloud strategy -NL- based on Amazon Web Services (AWS) and Google Cloud Platform (GCP) -NL- **`Technical Skills`[SKILLS_HEADING]** -NL-  Scripting Tools: -NL- Groovy, Bash and Python -NL-  Version Control Tools: -NL- GIT, Bitbucket -NL-  Build/Automation Tools: -NL- Puppet, Ansible, Jenkins, Docker -NL-  SAN & Backup Tool: -NL- IBM Xiv with Symantec NetBackup -NL-  OS Administration: -NL- Red hat Enterprise Linux, CentOS, Ubuntu, Windows -NL-  Monitoring Tools: -NL- HP Performance Manager, Tripwire, Nagios -NL-  Web Servers -NL- Apache, Tomcat -NL-  Cloud Services -NL- GCP and AWS Services -NL- **`Certifications`[OTHERS_HEADING]** -NL-  Certified in HIPAA Security -NL-  ‘ITIL 2011 Foundation’ external certification - Candidate ID: sr8770448 -NL-  ‘RedHat Certified Engineer’ in ‘RHEL6’ - Certificate Number: 130-081-821 -NL-  ‘Microsoft Certified Technology Specialist in Windows Server 2008 Active -NL- Directory, Configuring’ - Candidate ID: sr8770448 -NL- **`Work Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Sr Consultant`[EMPLOYER_ROLE]** – **`Capgemini`[EMPLOYER_COMPANY_NAME]** -NL- End Client – Toyota Financial Services, Plano - Texas -NL- June -NL- 2019 – Till Date -NL- Project: Factory Onboarding -NL- I was involved in multiple projects. Since it was a new setup, I had an opportunity to build the -NL- environment from scratch where we have applications deployed using Jenkins Pipeline. Few of -NL- the projects to mention would be setup high availability for Master Jenkins Server, Setup ELK -NL- Stack using AWS Elastic search and connect the ES to Standalone Kibana to provide -NL- authentication and authorization, create scripts to test the failover of Master Jenkins -NL- container. -NL-  Collaborating with development teams to enhance deployment processes by -NL- implementing Continuous Integration and Continuous Delivery (CI/CD) -NL-  Setup kickoff meeting with factory teams, understand their end to end requirements and -NL- pain points, design plan to help them onboard into CI / CD -NL-  Build Jenkins Pipeline jobs for Continuous Integration and Continuous Deployment end to -NL- end. -NL-  Designing Application architecture to meet high availability application architecture and -NL- security parameters -NL-  Providing status and performance reporting on test/development environments -NL-  Defined and managed a well-defined project management process, scheduling and -NL- ongoing process improvement initiatives to implement best practices for Agile Project -NL- Management -NL-  Extensive work on Docker Containerization as the entire setup of Jenkins Master and -NL- Slave is on Docker Containers. -NL-  Create automation scripts for daily backups into S3, Jenkins Plugin Updates, Jenkins -NL- Plugin Validations and many more which helped in reducing manual effort. -NL-  Maintain Jenkins Infrastructure and handle tasks for new plugin updates, versioning of -NL- Jenkins Master and Slave Image, Artifactory repository management, GitHub repository -NL- management are some of daily roles and responsibilities. -NL-  Create script for Jenkins High availability which helped in maintaining a robust -NL- environment with fail over. -NL-  Involved in configuring and integrating the servers with different environments to -NL- automatically provisioning and creating new machines -NL-  Configured the Auto scaling and ELB groups in AWS to main high scalable and secure -NL- environment -NL-  Administration/Maintenance of Source control management systems such as Subversion, -NL- Git / GitHub -NL-  Used JIRA to track issues and Change Management. -NL-  Integrated Subversion with Jira and created pre-commit to implement the gated check-in -NL- process and post-commit hooks to implement Jira commit plugin. -NL- Environment: Jenkins, Jira, AWS Services – EC2, ECS, Elasticsearch, ELK Stack, IAM, S3, Github, -NL- Artifactory, Docker, Kubernetes -NL- **`Dev Ops Engineer `[EMPLOYER_ROLE]**– **`Technology Hub Inc`[EMPLOYER_COMPANY_NAME]** -NL- End Client – Verizon Communications, Dallas – Texas -NL- May -NL- 2018 – June 2019 -NL- Project: VNF Automation -NL- This project was divided into two phases. Phase 1 consists of automating the MOPs provided -NL- by the network engineers which involved in handling cases with VLAN Ethernet, Member link -NL- Load Balance, MPLS and QoS (Quality of Service) – L2 VPN. For Phase 2 I was involved in -NL- dealing with L3 VPN of QoS Class of Services. Spirent Test Centre (STC) was the traffic -NL- generating tool used while we automate the scenarios. -NL-  Installing, configuring and maintaining Continuous Integration, Automation and -NL- Configuration Management tools to make the cloud setup. -NL-  Implemented AWS solutions using EC2, S3, Elastic Load Balancer, and Auto Scaling -NL- Groups. -NL-  Created Amazon S3 buckets to keep the web appfiles and the Cloud Formation -NL- templates. -NL-  Implemented and evangelized CICD utilizing Jenkins and other automation tools as part -NL- of the DevOps team. -NL-  Experience to build CICD Pipeline to automate the code release process using Integration -NL- tools like GIT, GitHub, Jenkins and artifact repo. -NL-  Installing and configuring Jenkins, installing plug-in, configuring security, creating a -NL- master and slaves for implementation of multiple parallel builds. -NL-  Work with Ansible playbooks to create inputs for the python scripts which we run for the -NL- automation. -NL-  Worked on open source development tools like Docker Containers. -NL-  Responsible for automating functional documentations provided by network team and -NL- operations team using Robot Frame work using python automation. -NL-  Create end to end Jenkins pipeline after the automation is done and give demos to the -NL- project heads based on the suggestions and feedback provided. -NL-  Contributed for developing python scripts for automating various call scenarios and -NL- validated the callflow by capturing packets -NL-  Experienced with Software Development Life Cycle, Database designs, agile -NL- methodologies, coding, testing of enterprise applications using IDE's such as PyCharm, -NL- IDLE and Visual Studio. -NL-  Work on JIRA issues, create bugs, tests and tasks based on the respective scenarios and -NL- assign the cases to the concerned teams. -NL-  Working knowledge on Spirent Test Center (STC) and its APIs. Automated the traffic -NL- execution steps starting from creating session, configuring streamblocks, traffic -NL- generator and capturing results. -NL-  Experience in using REST API’s using ‘requests’ library and using ‘postman’ tool to -NL- perform REST Calls. -NL- Environment: RedHat Servers, Juniper / Cisco Devices, Python, REST APIs’, Postman, Jenkins, -NL- Git, Bitbucket, Docker, Jira, Spirent Test Center (STC), Ansible -NL- **`DevOps Engineer `[EMPLOYER_ROLE]**– **`VM Racks`[EMPLOYER_COMPANY_NAME]**, San Marcos – California -NL- Dec -NL- 2017 – May 2018 -NL- Project: Implement Continuous Integration and Docker Containerization within the -NL- organization. -NL- Being a systems administrator, I was involved in building the virtual servers using (VM -NL- Ware) for the WAF, Web and Database servers. Since building and maintaining virtual -NL- servers for all the three types is complicated. Later, I have introduced containerization -NL- using Dockers which proved to be more reliable and cost effective. -NL-  Experienced in GCP services like IAM, Compute, Storage, Networking, Stackdriver and -NL- Tools. -NL-  Experience in CloudFormation in AWS and Deployment Manager in GCP as automation -NL- tools for cloud provisioning. -NL-  Created, managed, and performed container-based deployments using Docker images -NL- containing Middleware and Applications together and Evaluated Kubernetes for Docker -NL- container orchestration. -NL-  Used Ansible and Ansible Tower as Configuration management tool, to automate -NL- repetitive tasks, quickly deploys critical applications, and proactively manages change. -NL-  Developed several playbooks using Ansible and deployed applications/services on the -NL- client hosts. -NL-  Experienced in customizing JIRA projects with various schemas, complex workflows, -NL- screen schemes, permission schemes, and notification schemes. -NL-  Used Stackdriver Monitoring in GCP to check the alerts of the applications that run on the -NL- Google Cloud Platform. -NL-  Created and used GCP snapshots for restoring an instance and created service accounts. -NL-  Providing Remote LINUX System Administration -NL-  Configuring the LVMs and adding the additional disk space as and when required. -NL-  Responsible for maintaining VMs in several environments at the OS including vCenter -NL- and Google Cloud Platform. -NL-  Experienced in handling sFTP server, Web Application Firewall (WAF), Web server, -NL- Database Server issues. -NL-  Hands on experience in managing word press administration and troubleshooting web -NL- server issues (apache). -NL-  Responsible for maintaining backups for the servers. Troubleshoot andfix the issue with -NL- failed backups. -NL-  Responsible for backup and restoring thefiles when required. -NL- Environment: GCP, Linux, Redhat, LVM, Storage SAN, R1Soft Backup Administration, -NL- Stackdriver, VMware, Tomcat Apache, Oracle, Subversion (SVN), JIRA, Nagios, Git, Puppet, -NL- Linux, Python, Jenkins, -NL- **`Senior Systems Engineer `[EMPLOYER_ROLE]**– **`Colruyt IT Consultancy India Pvt Ltd`[EMPLOYER_COMPANY_NAME]** – India Jun 2014 – Jul -NL- 2016 -NL- Project: Upgrade HP Performance Manager: Onsite (Belgium) – May 15 – Aug 15 -NL- As part of onsite assignment, I worked on project where I must upgrade Performance -NL- Management Tool of HP, HP OvPM to its latest version. During this process, I created the -NL- installation and uninstallation scripts, testing the application from Test, Syst and Production -NL- phases. -NL-  Installed VMware ESXi 5.5 and 6, VSphere Server and VMware Venter Server in rack -NL- Servers. -NL-  Installed, configured, maintained and enhanced operating system and system support -NL- software/hardware Enterprise Linux 6.x, 5.x, 4.x, Ubuntu, Solaris, troubleshooting -NL- hardware, operating system, applications & network problems and performance issues.. -NL-  Experience in backup and restore of Linux Servers using Symantec NetBackup. Hands on -NL- experience in SAN Storage with IBM Xiv. -NL-  Downloaded and Installed puppet modules from puppet forge -NL-  Developed modules and manifests in puppet. -NL-  Configured node specific and environment specific system configuration in Puppet.conf -NL- and implemented that configuration into Puppet master slave architecture. -NL-  Worked on Jenkins to automate build and deploy. -NL-  Virtualization administration and configuration (VMware, VMware ESX). Excellent -NL- knowledge of Client/Server architecture, OSI layers, TCP/IP networks. -NL-  Initiating alarms in Cloud Watch service for monitoring the server's performance, CPU -NL- Utilization, disk usage etc. to take recommended actions for better performance -NL-  Performed system administration tasks like system monitoring, performance usage, -NL- network support, and user support. -NL- Environment: VMware, Tomcat Apache, Oracle, Subversion (SVN), JIRA, Nagios, Git, Puppet, -NL- Linux, Python, , Jenkins, Redhat administration, Linux, Centos, Ubuntu, LVM, vCenter vSphere, -NL- HP Performance Manager -NL- **`Systems Executive`[EMPLOYER_ROLE]** - **`Cognizant Technology Solutions (CTS)`[EMPLOYER_COMPANY_NAME]** – India -NL- Jun 2011 - Jun -NL- 2014 -NL- Project: RedHat Major and Minor Version Upgrades -NL- As a system executive, I handled end to end process of RedHat major and minor version -NL- upgrades using puppet master. Created respective modules and scripts, setup puppet -NL- master to push latest version rpm packages and install them using puppet agent on client -NL- servers. -NL-  Performed installation, configuration and maintenance of RedHat and CentOS Linux -NL- 5.x/6.x/7.x. -NL-  P2V conversions, building/supporting vSphere 4.x/5.x platform, building cloud VMs. -NL-  Also excelled on Linux kernel, memory upgrades, and swap area. RedHat Linux Kickstart -NL- Installation. Configuring DNS, DHCP, NIS, NFS in RedHat Linux other Network Services. -NL-  Performed daily backups, restoration of data as per requests from developers using -NL- Symantec Netbackup -NL-  Systems monitoring and administration of Servers for day-to-day problems, patches, user -NL- administration, hardware failure, monitoring logfiles, backup, software upgradation, -NL- configuration changes and documentation. -NL-  VMware installation (Server virtualization, Desktop virtualization, Management and -NL- Automation) on windows and Linux platforms. -NL-  Updating patches to keep servers updated against bugs present in the operating system -NL- using rpm and yum packages. -NL-  Monitored overall system performance, performed user management, system updates -NL- and disk & storage management. -NL-  Production support of Apache and JBoss including installation, configuration, -NL- management and troubleshooting -NL-  Created shell scripts for automating the daily routines and some specific tasks in the -NL- production environment using CRON job processes. -NL- Environment: RedHat Servers (5.x, 6.x, 7.x), Solaris 2.6/2.7/8, Symantec NetBackup, Symantec -NL- Volume Manager, Samba, NFS, NIS, LVM, Linux, Shell Programming, Monitoring, Virtualization, -NL- VM Ware Administration -NL- **`Academic Qualification`[EDUCATION_HEADING]** -NL- **`Master of Science`[EDUCATION_DEGREE]** in **`Software Engineering `[EDUCATION_COURSE]**-NL- Aug 2017 -NL- **`Oklahoma Christian University, Edmond, OK, USA`[EDUCATION_INSTITUTE]** -NL- **`Bachelor of Science`[EDUCATION_DEGREE]** in Computer Maintenance and Engineering (CME) May 2011 -NL- **`Loyola Academy, Hyderabad, Telangana`[EDUCATION_INSTITUTE]**, India -NL- 